# Generated by Django 2.2 on 2021-03-09 10:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('masters', '0006_requeststatus'),
        ('gigs', '0010_auto_20210216_1321'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('_requests', '0004_auto_20210308_1617'),
    ]

    operations = [
        migrations.CreateModel(
            name='RequestOfferDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
                ('request_offer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='_requests.ServiceRequest')),
                ('sub_category_price_scope_dtl_id', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScopeDetails')),
                ('sub_category_price_scope_id', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='masters.SubCategoryPriceScope')),
            ],
            options={
                'db_table': 'request_offer_dtl',
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='RequestOffer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('is_sent_offer', models.BooleanField(null=True)),
                ('is_system_offer', models.BooleanField(default=False)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('created_user', models.CharField(max_length=50, null=True)),
                ('modified_user', models.CharField(max_length=50, null=True)),
                ('modified_date', models.DateTimeField(auto_now=True, null=True)),
                ('deleted_user', models.CharField(max_length=50, null=True)),
                ('deleted_date', models.DateTimeField(null=True)),
                ('buyer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_offer_buyer_id', to=settings.AUTH_USER_MODEL)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_seller_created_by', to=settings.AUTH_USER_MODEL)),
                ('deleted_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_seller_deleted_by', to=settings.AUTH_USER_MODEL)),
                ('gig', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='gigs.Gig')),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_seller_modified_by', to=settings.AUTH_USER_MODEL)),
                ('request', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='_requests.ServiceRequest')),
                ('seller', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='request_seller_buyer_id', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'request_offer',
                'default_permissions': (),
            },
        ),
    ]
